
Foreman - Bug #33740

Setting DSL does not use the explicit initial values

10/20/2021 10:44 AM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Settings   

Target version: 3.1.0   

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8859

  

Description

Related issues:

Related to Foreman - Feature #32286: Create a new setting definition DSL Closed

Related to Foreman - Bug #36660: Drop deprecated value field from Settings DSL Closed

Associated revisions

Revision 825fecb9 - 10/27/2021 12:28 PM - Ondřej Ezr

Fixes #33740 - load inital values from DSL

The DSL defined inital values has been ignored as those were left out in the transition.

History

#1 - 10/20/2021 10:45 AM - Ondřej Ezr

- Related to Feature #32286: Create a new setting definition DSL added

#2 - 10/20/2021 10:46 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8859 added

#3 - 10/27/2021 08:19 AM - Ondřej Ezr

- Target version set to 3.1.0

#4 - 10/27/2021 12:28 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#5 - 10/27/2021 01:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|825fecb9804a91b4d399b8a54793639ba1c879cb.

#6 - 08/09/2023 08:50 AM - Evgeni Golov

- Related to Bug #36660: Drop deprecated value field from Settings DSL added
